## ThunarJobOperation

ThunarJobOperation — Stores a job operation (copy, move, trash, rename, etc.)

## Functions

ThunarJobOperation * | thunar_job_operation_new ()
void | thunar_job_operation_add ()
void | thunar_job_operation_overwrite ()
ThunarJobOperation * | thunar_job_operation_new_invert ()
gboolean | thunar_job_operation_execute ()
gint | thunar_job_operation_compare ()
void | thunar_job_operation_get_timestamps ()
void | thunar_job_operation_set_start_timestamp ()
void | thunar_job_operation_set_end_timestamp ()
const gchar * | thunar_job_operation_get_kind_nick ()
ThunarJobOperationKind | thunar_job_operation_get_kind ()
const GList * | thunar_job_operation_get_overwritten_files ()
gboolean | thunar_job_operation_empty ()

## Types and Values

#define | THUNAR_TYPE_JOB_OPERATION
| ThunarJobOperation

## Object Hierarchy

        GObject
        ╰── ThunarJobOperation

## Description

The ThunarJobOperation class represents a single 'job operation', a file operation like copying, moving trashing, renaming etc. and its source/target locations.

## Functions

### thunar_job_operation_new ()

    ThunarJobOperation *
    thunar_job_operation_new (ThunarJobOperationKind kind);

Creates a new ThunarJobOperation of the given kind. Should be unref'd by the caller after use.

#### Parameters

kind | The kind of operation being created. |

#### Returns

the newly created ThunarJobOperation.

[transfer full]

### thunar_job_operation_add ()

    void
    thunar_job_operation_add (ThunarJobOperation *job_operation,
                              GFile *source_file,
                              GFile *target_file);

Adds the specified `source_file` -`target_file` pair to the given job operation.

#### Parameters

job_operation | a ThunarJobOperation |
source_file | a GFile representing the source file |
target_file | a GFile representing the target file |

### thunar_job_operation_overwrite ()

    void
    thunar_job_operation_overwrite (ThunarJobOperation *job_operation,
                                    GFile *overwritten_file);

### thunar_job_operation_new_invert ()

    ThunarJobOperation *
    thunar_job_operation_new_invert (ThunarJobOperation *job_operation);

### thunar_job_operation_execute ()

    gboolean
    thunar_job_operation_execute (ThunarJobOperation *job_operation,
                                  GError **error);

### thunar_job_operation_compare ()

    gint
    thunar_job_operation_compare (ThunarJobOperation *operation1,
                                  ThunarJobOperation *operation2);

### thunar_job_operation_get_timestamps ()

    void
    thunar_job_operation_get_timestamps (ThunarJobOperation *job_operation,
                                         gint64 *start_timestamp,
                                         gint64 *end_timestamp);

Getter for both timestamps

#### Parameters

job_operation | a ThunarJobOperation |
start_timestamp | Will be set to the current start_timestamp of the ThunarJobOperation |
end_timestamp | Will be set to the current end_timestamp of the ThunarJobOperation |

### thunar_job_operation_set_start_timestamp ()

    void
    thunar_job_operation_set_start_timestamp
                                   (ThunarJobOperation *job_operation,
                                    gint64 start_timestamp);

Setter for start_timestamp

#### Parameters

job_operation | a ThunarJobOperation |
start_timestamp | the new start_timestamp of the ThunarJobOperation |

### thunar_job_operation_set_end_timestamp ()

    void
    thunar_job_operation_set_end_timestamp
                                   (ThunarJobOperation *job_operation,
                                    gint64 end_timestamp);

Setter for end_timestamp

#### Parameters

job_operation | a ThunarJobOperation |
start_timestamp | the new end_timestamp of the ThunarJobOperation |

### thunar_job_operation_get_kind_nick ()

    const gchar *
    thunar_job_operation_get_kind_nick (ThunarJobOperation *job_operation);

### thunar_job_operation_get_kind ()

    ThunarJobOperationKind
    thunar_job_operation_get_kind (ThunarJobOperation *job_operation);

### thunar_job_operation_get_overwritten_files ()

    const GList *
    thunar_job_operation_get_overwritten_files
                                   (ThunarJobOperation *job_operation);

### thunar_job_operation_empty ()

    gboolean
    thunar_job_operation_empty (ThunarJobOperation *job_operation);

## Types and Values

### THUNAR_TYPE_JOB_OPERATION

    #define THUNAR_TYPE_JOB_OPERATION (thunar_job_operation_get_type ())

### ThunarJobOperation

    typedef struct _ThunarJobOperation ThunarJobOperation;